This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 46068 - kbdconfig does not switch keyboards to uk map in X config
kbdconfig does not switch keyboards to uk map in X config
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kbdconfig (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-26 13:34 EDT by Andrew Meredith
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-06 23:04:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2001-06-26 13:34:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4-laptop i686)

Description of problem:
In standard RH7.1 installs, if one uses the kbdconfig tool, it does not
edit the keyboard type in either /etc/X11/XF86Config or ..-4, it leaves the
"us" style keyboards in there. It does edit the keyboard map for the
virtual consoles though. This worked in RH7.0 and below.

How reproducible:
Always

Steps to Reproduce:
1. Type the UK "#" key and get a \
2. run kbdconfig as root
3. select UK
4. log out of X window (restarting X)
5. Log back in
6. type UK "#" key and still get a \

NB This bug was discovered by a delegate on an RH133 course I was teaching
on behalf of Red Hat UK whilst in Dublin Ireland. I tried the same steps on
every machine in the room and the same thing happened. I had to remap every
machine by hand editing the X config files.

Additional info:
Comment 1 Bill Nottingham 2001-07-10 15:25:50 EDT
I don't see how this could work in 7.0. kbdconfig has *never* edited X
configuration files.

Switching to an enhancement request.
Comment 2 Brent Fox 2002-11-18 13:07:47 EST
We're deprecating kbdconfig in the next version and redhat-config-keyboard 
properly modifies the XFree86 config file.  Closing this report as 'wontfix'

Note You need to log in before you can comment on or make changes to this bug.